Fedora Linux Support Community & Resources Center
  #1  
Old 8th September 2017, 07:06 PM
cmanL Offline
Registered User
 
Join Date: Jul 2012
Location: America
Posts: 203
linuxfedorafirefox
Errors upgrading from 25 to 26

When I attempted to upgrade from Fedora 25 to Fedora 26 I received the following errors:


Code:
Error: Transaction check error:
  file /usr/share/applications/org.gnome.gedit.desktop conflicts between attempted installs of gedit-2:3.22.1-1.fc26.i686 and gedit-2:3.22.1-1.fc26.x86_64
Using the upgrade command:

Code:
dnf system-upgrade download --allowerasing --refresh --releasever=26
Thanks for any suggestions on this problem..
Reply With Quote
  #2  
Old 8th September 2017, 07:18 PM
srakitnican Offline
Registered User
 
Join Date: Oct 2011
Posts: 1,540
linuxchrome
Re: Errors upgrading from 25 to 26

Remove one or the other, you most likely don't think need both arch installed.

Code:
$ sudo dnf remove gedit.i686
Dnf is correct BTW.
Quote:
$ diff -u /tmp/org.gnome.gedit.desktop.*
--- /tmp/org.gnome.gedit.desktop.i686.desktop 2017-09-08 20:21:02.569092352 +0200
+++ /tmp/org.gnome.gedit.desktop.x86_64.desktop 2017-09-08 20:20:26.937282763 +0200
@@ -19,7 +19,7 @@
Keywords=Text;Editor;Plaintext;Write;
DBusActivatable=true

-Name[en_US]=org.gnome.gedit.desktop.i686
+Name[en_US]=org.gnome.gedit.desktop.x86_64

[Desktop Action new-window]
Name=New Window
Reply With Quote
  #3  
Old 8th September 2017, 07:30 PM
cmanL Offline
Registered User
 
Join Date: Jul 2012
Location: America
Posts: 203
linuxfedorafirefox
Re: Errors upgrading from 25 to 26

Thank you for your reply! I removed the 32-bit version of "gedit" ( not sure why I installed that ) and the upgrade seems to be proceeding properly now. Thanks for the help...
Reply With Quote
Reply

Tags
errors, upgrading

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
ACPI Errors after upgrading from 4.9.5 on Skylake. Duppie Installation, Upgrades and Live Media 0 7th February 2017 04:53 PM
Upgrading F7 64bit to F8 64bit errors out with strange error ajamison Installation, Upgrades and Live Media 3 30th December 2007 09:41 AM
errors upgrading fc4 to fc5 pbx EOL (End Of Life) Versions 4 25th June 2006 03:49 AM
audit and mtrr errors when upgrading to kernel 2.6.12.6 with Fedora Core 3 calm007 Installation, Upgrades and Live Media 0 2nd March 2006 06:51 AM
Floppy mount errors after upgrading to Fedora Core 4 Stan_the_Man Installation, Upgrades and Live Media 1 8th February 2006 03:04 PM


Current GMT-time: 09:46 (Monday, 25-09-2017)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat